/********************************************************************-*-c-*-*\
*               *  Class examples for Advanced Porgramming                   *
*    #####      *  (!) Giovanni Squillero <giovanni.squillero@polito.it>     *
*   ######      *                                                            *
*   ###   \     *  Copying and distribution of this file, with or without    *
*    ##G  c\    *  modification, are permitted in any medium without royalty *
*    #     _\   *  provided this notice is preserved.                        *
*    |   _/     *  This file is offered as-is, without any warranty.         *
*    |  _/      *                                                            *
*               *  See: http://staff.polito.it/giovanni.squillero/dida.php   *
\****************************************************************************/

typedef struct _DATA {
	char word[64];
	int num;
} DATA;

typedef struct _ELEM {
	DATA data;
	struct _ELEM *next;
} ELEM;

typedef struct _LIST {
	ELEM *head;
	int nElem;
} LIST;

void ListPrint(LIST *L);
LIST *ListNew(void);
DATA *ListSearch(LIST *L, char *key);
void ListAdd(LIST *L, DATA *E);
void ListDelete(LIST *L, char *key);

